add a warning message for unsupported kind of encoding